/*!
  \file
  \brief イベント定義

  \author Satofumi KAMIMURA

  $Id: EventUtils.cpp 731 2009-04-14 10:39:22Z satofumi $
*/

#include "EventUtils.h"
#include "CallbackEvent.h"

using namespace qrk;


void qrk::setQuitEvent(CallbackEvent* event)
{
  event->key(SDLK_q, SDL_KEYDOWN, KMOD_LCTRL);
  event->key(SDLK_q, SDL_KEYDOWN, KMOD_RCTRL);
  event->key(SDLK_F4, SDL_KEYDOWN, KMOD_LALT);
  event->key(SDLK_F4, SDL_KEYDOWN, KMOD_RALT);
}


void qrk::setEnterEvent(CallbackEvent* event)
{
  event->key(SDLK_RETURN, SDL_KEYDOWN);
  event->key(SDLK_KP_ENTER, SDL_KEYDOWN);
}
